Customer Item Price Override
The customer item price override resource.
/customerItemPriceOverrideList customer item price overrides
Retrieve a paginated list of customer item price overrides. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/customerItemPriceOverride?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"itemId": "xyz789",
"active": true,
"applyRulesOnTop": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"customerId": "xyz789"
}
]/customerItemPriceOverrideRetrieve a customer item price override
Fetch a single customer item price override by filtering on `id`.
Query parameters
idstringMatch on the customer item price override's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/customerItemPriceOverride?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"itemId": "xyz789",
"active": true,
"applyRulesOnTop": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"customerId": "xyz789"
}/customerItemPriceOverrideCreate a customer item price override
Create a new customer item price override.
Body parameters
customerIdstringReferences customer.id
customerTypeIdstringReferences customerType.id
itemIdstringrequiredReferences item.id
notesstringvalidFromdatevalidTodateactivebooleanrequiredapplyRulesOnTopbooleanrequiredcompanyIdstringrequiredReferences company.id
curl --request POST \
--url https://rest.carbon.ms/customerItemPriceOverride \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"itemId":"xyz789","active":true,"applyRulesOnTop":true,"companyId":"xyz789"}'{
"id": "abc123def456",
"itemId": "xyz789",
"active": true,
"applyRulesOnTop": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"customerId": "xyz789"
}/customerItemPriceOverrideUpdate a customer item price override
Update an existing customer item price override, matched on `id`.
Body parameters
customerIdstringReferences customer.id
customerTypeIdstringReferences customerType.id
itemIdstringrequiredReferences item.id
notesstringvalidFromdatevalidTodateactivebooleanrequiredapplyRulesOnTopbooleanrequiredcompanyIdstringrequiredReferences company.id
curl --request PATCH \
--url 'https://rest.carbon.ms/customerItemPriceOverride?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"customerId":"xyz789"}'{
"id": "abc123def456",
"itemId": "xyz789",
"active": true,
"applyRulesOnTop": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"customerId": "xyz789"
}/customerItemPriceOverrideDelete a customer item price override
Delete a customer item price override, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the customer item price override to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/customerItemPriceOverride?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'